Subject: bug#59566: closed (Re: [PATCH v2 1/2] gnu: Add emacs-function-args.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Nov 2022 23:22:02 +0000

Your bug report

#59566: Fail ’guix time-machine’ (Nov 2021) because libgit2

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59566: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59566
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v2 1/2] gnu: Add emacs-function-args.
From: Nicolas Goaziou <[email-masked]>
To: jgart <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Nov 2022 00:21:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

jgart <[email-masked]> writes:

> * gnu/packages/emacs-xyz.scm (emacs-function-args): New variable.

Applied. Thank you.

Regards,
-- 
Nicolas Goaziou

Subject: Fail ’guix time-machine’ (Nov 2021) because libgit2
From: zimoun <[email-masked]>
To: [email-masked]
Date: Fri, 25 Nov 2022 10:16:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Well, I am looking for different past versions of Numpy, so I am trying
commit b9595a7659 from Nov 11, 2021,

    gnu: python-numpy: Update to 1.21.3 and cleanup.

and I just run,

   guix time-machine --commit=b9595a7659 -- help

which returns an error:

--8<---------------cut here---------------start------------->8---
[...]

cannot build derivation `/gnu/store/ss0hz522h5w8bp82d4xz165318qw1yv5-profile.drv': 1 dependencies couldn't be built
guix time-machine: error: build of `/gnu/store/ss0hz522h5w8bp82d4xz165318qw1yv5-profile.drv' failed
--8<---------------cut here---------------end--------------->8---

and the failure is about libgit2. The log reads,

--8<---------------cut here---------------start------------->8---
[...]

refs::rename...........
refs::revparse.................F

  1) Failure:
refs::revparse::date [/tmp/guix-build-libgit2-1.1.0.drv-0/libgit2-1.1.0/tests/refs/revparse.c:31]
  Function call succeeded: error
  no error, expected non-zero return

error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "./libgit2_clar" arguments: ("-v" "-Q") exit-status: 1 term-signal: #f stop-signal: #f> 
phase `check' failed after 11.5 seconds
command "./libgit2_clar" "-v" "-Q" failed with status 1
--8<---------------cut here---------------end--------------->8---

Well, is it specific to my machine?  Or is it reproducible?

Reproduced by Wojtek Kosior, see [1].

1: <https://yhetil.org/guix/[email-masked]>

Cheers,
simon

--
Initially sent to guix-devel:
From: zimoun <[email-masked]>
To: Guix Devel <[email-masked]>
Subject: Fail ’guix time-machine’ on Nov 2021 because libgit2